### Method

# Secret Service unlock_dbus_paths_finish

#### Declaration [src]

    gint
    secret_service_unlock_dbus_paths_finish (
      SecretService* self,
      GAsyncResult* result,
      gchar*** unlocked,
      GError** error
    )

#### Description [src]

Complete asynchronous operation to unlock items or collections in the secret service.

The secret service may not be able to unlock items individually, and may unlock an entire collection instead.

Stability: Unstable

This method is not directly available to language bindings.

#### Parameters

`result`

  Type: `GAsyncResult`

  Asynchronous result passed to the callback.

  The data is owned by the caller of the method.

`unlocked`

  Type: An array of `gchar**`

  location to place array of D-Bus paths of items or collections that were unlocked.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.
  The argument can be `NULL`.
  The array must be `NULL`-terminated.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  Each element is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gint`

The number of items or collections that were unlocked.